Subject: RE: Requesting a LSC LSP across a PCS interface

From: <[email-masked]>
Date: Fri, 19 Aug 2005 13:39:54 +0200

> 
> hi,
> 
> > Consider the following situation:
> > 
> >        Domain A <= | =>         Domain B         <= | => Domain C
> >                    |                                |
> >  [A1]--PSC--[A2]--PSC--[B1]--LSC--[B2]--LSC--[B4]--PSC--[C1]
> >                    |     |                    |     |
> >                          |---PSC--[B3]--PSC---|
> > 
> > 
> > Suppose I want to setup an (PSC) LSP from [A1] to [C1]. In domain B
> > there are two options, the PSC route, or the LSC route. Is 
> there a way
> > to request (or hint for) a LSC LSP in domain B for the 
> A1-C1 LSP? For
> > example because the quality of the PSC path is deemed 
> insufficient from
> > the point of view of domains A and C (e.g. A and C are vey 
> high bw LAN
> > enviroments, B a WAN environment).
> 
> base on your diagram and assuming symmetric links both nodes 
> B1 and B4 
> must have a PSC and LSC switching capability so here and as 
> provided in 
> the diagram i assume the boundary is on the node; however, if 
> you mean 
> [B1,B4] and [B2,B4] being [PSC,LSC] and [LSC,PSC] resp. then 
> B1 and B4 
> are simple PSC nodes with LSC interfaces and then the 
> boundary would be 
> on the interface
> 

I envisioned the boundary on the node indeed. But on the interface could
be an option as well.

> now, if all domains are in the same routing area
> - have strict path all along
> - B4 loose hop with explicit indication of incoming interface
> 

Okay.

> if all domains not in the same routing area
> - make use of constaint passing by including (or excluding) specific 
> switching capability such as to indicate which resource type to 
> select/preclude in order to reach the destination B4 (loose hop)
>

So if I understand correctly, the LSP would be something like this:
A1 to C1 via: A2 (strict), B1 (strict), B4 (loose, LSC), C1 (loose)
 
> hope this helps,

Yes, thanks.

Eduard

> - dimitri.
> > Thanks!
> > cheers,
> > 	Eduard
> > .